Debian Bug report logs - #596596
netboot-gtk target for kfreebsd-amd64

version graph

Package: debian-installer; Maintainer for debian-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for debian-installer is src:debian-installer.

Reported by: Robert Millan <rmh@debian.org>

Date: Sun, 12 Sep 2010 19:21:01 UTC

Severity: wishlist

Tags: patch

Fixed in version debian-installer/20120327

Done: Otavio Salvador <otavio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rmh@debian.org, debian-bsd@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#596596; Package debian-installer. (Sun, 12 Sep 2010 19:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to rmh@debian.org, debian-bsd@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 12 Sep 2010 19:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: netboot-gtk target for kfreebsd-amd64
Date: Sun, 12 Sep 2010 23:16:34 +0200
[Message part 1 (text/plain, inline)]
Package: debian-installer
Severity: wishlist
Tags: patch

This patch adds a netboot-gtk target for kfreebsd-amd64 (tested), and
enables graphical support in cdrom target (untested).

The mfsroot size needs to be increased to fit larger images in it, see
the comments I add to Makefile.  Note that the limit chosen for amd64
(64 MiB) derives from the NKPT value (44) I have requested to kFreeBSD
maintainers (see #596577).  A different limit might apply if a value
different than 44 is finally used.

This situation leaves kfreebsd-i386 out for netboot-gtk images, unless
a way to make them a few MiB smaller is found.

Aside from #596577, a few other bugs need to be fixed before this can
work:

#596578
#596586
#596588
#596590
#596595 (which depends on #596594)

(there's #596584 too, but the issues mentioned there are purely cosmetical)

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.1-1-amd64
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[debian-installer.diff (text/x-diff, attachment)]

Added blocking bug(s) of 596596: 596590, 596586, 596578, 596595, 596577, and 596588 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 12 Sep 2010 19:36:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#596596; Package debian-installer. (Tue, 31 May 2011 13:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 31 May 2011 13:51:03 GMT) Full text and rfc822 format available.

Message #12 received at 596596@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 596596@bugs.debian.org, debian-bsd@lists.debian.org
Subject: G-I for GNU/kFreeBSD
Date: Tue, 31 May 2011 15:47:38 +0200
None of the blockers for this bug exist anymore.  Is there any objection to the
proposed patch?  Please have a look:

http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=5;filename=debian-installer.diff;att=1;bug=596596

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#596596; Package debian-installer. (Tue, 31 May 2011 15:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 31 May 2011 15:27:07 GMT) Full text and rfc822 format available.

Message #17 received at 596596@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: debian-boot@lists.debian.org, debian-bsd@lists.debian.org, 596596@bugs.debian.org
Subject: Re: Bug#596596: G-I for GNU/kFreeBSD
Date: Tue, 31 May 2011 17:26:07 +0200
[Message part 1 (text/plain, inline)]
2011/5/31 Samuel Thibault <sthibault@debian.org>:
> Mmm, I have already added a pkg-lists/netboot/gtk/kfreebsd-amd64.cfg
> with an equivalent of what works for hurd-i386 (evdev and fbdev are not
> part of gtk-common any more, for instance).

It works fine with the file you added, it seems that console-setup has been
ported already.

Here's an updated patch without that hunk. I've just tested it with current GIT.

-- 
Robert Millan
[debian-installer.diff (text/plain, attachment)]

Added tag(s) pending. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Tue, 12 Jul 2011 02:36:04 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. (Tue, 27 Mar 2012 15:21:03 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Tue, 27 Mar 2012 15:21:04 GMT) Full text and rfc822 format available.

Message #24 received at 596596-close@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: 596596-close@bugs.debian.org
Subject: Bug#596596: fixed in debian-installer 20120327
Date: Tue, 27 Mar 2012 15:19:28 +0000
Source: debian-installer
Source-Version: 20120327

We believe that the bug you reported is fixed in the latest version of
debian-installer, which is due to be installed in the Debian FTP archive:

debian-installer-images_20120327_amd64.tar.gz byhand
debian-installer_20120327.dsc
  to main/d/debian-installer/debian-installer_20120327.dsc
debian-installer_20120327.tar.gz
  to main/d/debian-installer/debian-installer_20120327.tar.gz
debian-installer_20120327_amd64.deb
  to main/d/debian-installer/debian-installer_20120327_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 596596@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Otavio Salvador <otavio@debian.org> (supplier of updated debian-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 27 Mar 2012 09:21:45 -0300
Source: debian-installer
Binary: debian-installer
Architecture: source amd64
Version: 20120327
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Otavio Salvador <otavio@debian.org>
Description: 
 debian-installer - Debian installer
Closes: 596596 600229 609476 610524 610906 617943 618320 621769 622187 624144 633606 637339 637460 642183 650979 651641 661620
Changes: 
 debian-installer (20120327) unstable; urgency=low
 .
   [ Jurij Smakov ]
   * Add pata-modules to cdrom config for sparc and sparc64.
     Closes: #610906.
   * Use xz compression for initrd during netboot image build for sparc
     to get it down to acceptable size (otherwise it does not boot).
 .
   [ Samuel Thibault ]
   * Add netboot hurd-i386 package list.
   * Do not enable the Hurd console by default.
   * Stick gnumach kernel versioning to Debian style.
   * Add hurd-i386 Xen and gtk netboot image support
   * Hack hurd-i386 netboot image size to have some room for downloaded udebs.
   * Enable netcfg on hurd-i386, now having working DHCP support.
   * Add hurd-i386 cdrom and pxe support, inspired from kfreebsd.
   * Add sub-hurd d-i testing target.
   * Move gtk-common's xserver-xorg-input-evdev-udeb and
     xserver-xorg-video-fbdev-udeb to arch-specific packages. Use
     xserver-xorg-input-kbd-udeb, xserver-xorg-input-mouse-udeb and
     xserver-xorg-video-vesa-udeb for kfreebsd-i386,
     kfreebsd-amd64 and hurd-i386.
   * Add sound-modules and espeakup-udeb to i386 and amd64 gtk images.
   * Add software speech synthesis as last x86 menu choice with an 's' shortcut.
   * Widen x86 menu.
   * Set default desktop to xfce on hurd-i386.
   * Fix "extras" option in build/boot/x86/xen/debian.cfg. Closes: #637460.
     Thanks Gedalya for the report.
   * Rename amdspkgtk.cfg x86 menu item into amdspgtk.cfg to fit 8+3 oldiness.
   * Add usb-serial-modules to armel images.
   * Expand libbogl-dev dependency to !linux-any, as it is now available
     everywhere for the font reduction tool.
   * Include console-setup-pc-ekmap on Linux gtk images only. Include
     console-setup-pc-ekbd and console-setup-freebsd-charmaps-udeb instead on
     kFreeBSD gtk images (Closes: #600229).
 .
   [ Joey Hess ]
   * Initial changes to target wheezy.
 .
   [ Christian Perrier ]
   * Add needed characters for Uyghur
   * Add needed characters for Ossetian
   * Add needed characters for Sindhi
   * No longer Build-Depend on palo (no longer used and
     will allow removing palo from unstable)
   * Add fonts-ukij-uyghur-udeb to graphical installer to
     properly support Uyghur language
   * Add file-preseed to netboot images. Closes: #621769
   * Rename ttf-farsiweb-udeb to fonts-farsiweb-udeb in
     pkg-lists/gtk-common after package rename because of new
     fonts packages policy
   * Rename ttf-khmeros-udeb to fonts-khmeros-udeb in
     pkg-lists/gtk-common after package rename because of new
     fonts packages policy
   * Rename ttf-sil-abyssinica-udeb to fonts-sil-abyssinica-udeb in
     pkg-lists/gtk-common after package rename because of new
     fonts packages policy
   * Rename ttf-lao-udeb to fonts-lao-udeb in
     pkg-lists/gtk-common after package rename because of new
     fonts packages policy
   * Rename ttf-sinhala-lklug-udeb to fonts-lklug-sinhala-udeb in
     pkg-lists/gtk-common after package rename because of new
     fonts packages policy
   * Rename ttf-tmuni-udeb to fonts-tibetan-machine-udeb in
     pkg-lists/gtk-common after package rename because of new
     fonts packages policy
   * Rename ttf-thai-tlwg-udeb to fonts-thai-tlwg-udeb in
     pkg-lists/gtk-common after package rename because of new
     fonts packages policy
   * Remplace ttf-malayalam-fonts-udeb by fonts-mlym-udeb
   * Remplace ttf-tamil-fonts-udeb by fonts-taml-udeb
   * Remplace ttf-telugu-fonts-udeb by fonts-telu-udeb
 .
   [ Otavio Salvador ]
   * Update Linux kernel to 2.6.38 (ABI 2). Closes: #617943
 .
   [ Martin Michlmayr ]
   * qnap-flash-debian: recognize QNAP TS-x12 devices.
   * Add Buffalo Linkstation Live V3 and Mini.
   * lspro-config-debian: Exit if the firmware version cannot be
     determined.  Thanks John Bytheway.  Closes: #609476
   * Remove support for Linksys NSLU2.
   * Remove support for QNAP TS-x09.
 .
   [ Colin Watson ]
   * Document Breaks as a disallowed control field.
   * Skip the option field in sources.list lines, if present.
   * Add gzio to GRUB_MODULES on kfreebsd, since the kernel is compressed.
     Closes: #618320
   * Add mipsel/loongson-2f images.
   * When building for a subarchitecture, don't include udebs for other
     subarchitectures in standard-udebs.
   * Document move of /dev/.udev/firmware-missing to
     /run/udev/firmware-missing in hw-detect 1.87.
   * Handle udebs installing libraries into /usr/lib/$(DEB_HOST_MULTIARCH).
   * Don't emit spurious errors if there are no files in $(EXTRAUDEBSDIR)/lib
     or no files in $(TREE)/lib.
   * Don't fail when one of the entries in sources.list.udeb has an empty
     Packages file.
 .
   [ Joey Hess ]
   * Work around binutils breakage (#623710) that broke mklibs,
     by using mklibs-copy.
     Of course this means larger images, and should be reverted ASAP.
   * Revert use of mklibs-copy, as breakage seems fixed (tested on i386 and
     amd64). Closes: #624144
   * Let fdisk choose end sector for piggyback partition. Closes: #642183
 .
   [ Aurelien Jarno ]
   * Add virtio udebs on s390/generic and s390/netboot.
   * Update kFreeBSD kernel to 8.2 (ABI 1).
   * Install unstable on s390x.
 .
   [ Robert Millan ]
   * Enable netboot-gtk flavor on kfreebsd-amd64. Closes: #596596
   * control: Use "any" architecture wildcards where possible.
   * Set default desktop to xfce on kfreebsd-any.
 .
   [ Didier Raboud ]
   * Include win32-loader's setup.exe on kfreebsd.
 .
   [ dann frazier ]
   * Add pata-modules to cdrom config for ia64. Closes: #622187.
 .
   [ Otavio Salvador ]
   * i386 (xen): use 686-pae flavour
   * Switch Linux kernel to 2.6.39 (ABI 2).
 .
   [ Joey Hess ]
   * Apply internal documentation typo and wording fix patch from
     Karl Goetz. Closes: #633606
 .
   [ Otavio Salvador ]
   * Update Linux kernel to 3.0.0-1
   * Output information of all used udebs into the debian-installer
     binary package for usage by the archive tool
 .
   [ Samuel Thibault ]
   * Mention kernel type in any-x86 boot menu.
   * Add ld.so.1 in the boot directory on hurd-any.
 .
   [ Hector Oron ]
   * [armel] Add support for Linkstation Mini.
     Thanks Benjamin Cama. (Closes: #637339)
   * [armhf/mx5] Add initial support for armhf/mx5 devices.
   * Rename uboot-mkimage build dependency to u-boot-tools.
     - Add armhf to the list.
 .
   [ Philipp Kern ]
   * Add support for s390x.
   * Update Linux kernel to 3.0.0-2.  (Hence using udebs from linux-2.6.)
 .
   [ Otavio Salvador ]
   * Update kernel version to use to 3.1.0-1.
 .
   [ Robert Millan ]
   * Remove filesystem modules (except isofs and nullfs) from cdrom image in
     kfreebsd-* (their udebs are now available in the CD-ROM).
   * Enable kfreebsd-9 builds.
   * Remove `vfs.root.mountfrom' setting (not necessary with current kFreeBSD
     versions).
 .
   [ Joey Hess ]
   * Add SHA256SUMS file like MD5SUMS file. (See #622941)
   * Switch from spacefun back to the generic (klowner) boot image.
     Closes: #650979
 .
   [ Robert Millan ]
   * Enable gtk in kfreebsd-amd64 cdrom builds.
   * Remove unnecessary "cd" variable from grub.cfg.
   * Detect GTK+ images on GNU/kFreeBSD and add them to GRUB menu when
     present.
   * Misc grub.cfg fixes:
     - Pass menuentry information using parameters instead of variables.
       Thanks Steven Chamberlain.
     - Pre-load test.mod.  (Closes: #651641)
     - Make GRUB 1.99 a build requirement (introduced in previous commits).
 .
   [ Samuel Thibault ]
   * Use grub functions to factorize grub boot.
   * Include kbdcontrol-udeb by hand on kfreebsd gtk images, as pkg-list is not
     able to choose it among the alternative dependencies.
 .
   [ Joey Hess ]
   * Remove unused pkg-list files and configuration for i386 floppys.
 .
   [ Samuel Thibault ]
   * Use console-setup on kfreebsd text images.
 .
   [ Jurij Smakov ]
   * Update kernel version to 3.2.0-1.
 .
   [ Samuel Thibault ]
   * Replace kbd-chooser with console-setup-udeb+kbd-udeb, and
     console-keymaps-* with console-setup-*-ekmap (Closes: #610524).
 .
   [ Bastian Blank ]
   * mips: Use initramfs.
   * Remove unused cramfs support.
 .
   [ Joey Hess ]
   * Add ext4-modules to hd-media initrds. Closes: #661620
 .
   [ Otavio Salvador ]
   * Update to 3.2.0-2 ABI.
 .
   [ Julien Cristau ]
   * Drop ide-modules and ide-core-modules from all images except
     cdrom/{ia64,hppa}.
   * Use linux-any instead of a long moving list of archs for the m-i-t
     build-dependency.
 .
   [ Samuel Thibault ]
   * Switch mach console-based hurd-i386 installer to gnu-mach-color TERM.
 .
   [ Otavio Salvador ]
   * Refactor code that generates the 'Built-Using' data.
   * Drop binNMU suffix from Built-Using version.
Checksums-Sha1: 
 c6e4b0e3559876e2fc989fc1f73b6920878d04ea 3110 debian-installer_20120327.dsc
 a8b6db574ff433d03940f4319088198c997bcd36 1319105 debian-installer_20120327.tar.gz
 af58c4e4311f1f7d3542faa884e18b93fc1d1a74 825050 debian-installer_20120327_amd64.deb
 ea75eb6699e120e1105819115d29ccd6c76d17db 225652145 debian-installer-images_20120327_amd64.tar.gz
Checksums-Sha256: 
 033f8a966003dad4b1c778b4563175e80567b6d3d3b8b0657fa53e04b160ec03 3110 debian-installer_20120327.dsc
 4d1ca99a029fc2cd01701435df2fe6eb468d5a8052877a1607bc2ded64602563 1319105 debian-installer_20120327.tar.gz
 eb6ae4b6fccff5fe690143492171b3a02dadbe044064f71de943e3cedb3d18ba 825050 debian-installer_20120327_amd64.deb
 61d8e90bc444c0bd8371b6ecd91452afa0dc3b8add007e42b8858df8cdd17faa 225652145 debian-installer-images_20120327_amd64.tar.gz
Files: 
 f252e7786283d709d885cd2a88978775 3110 devel optional debian-installer_20120327.dsc
 7e5bb33e7d78ab9a4b76736402917402 1319105 devel optional debian-installer_20120327.tar.gz
 eb45f5ec33006831f1c9dc23384e1ce5 825050 devel optional debian-installer_20120327_amd64.deb
 086d68c9fcb386bb181138158d61934d 225652145 raw-installer - debian-installer-images_20120327_amd64.tar.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPccNPAAoJEOtw/vPN/G5PT40P/Rqa3bhBz2hXjn3i1DqscPnK
rBcU7kurpaO00MD+OTsqIMkVSn90GIlVZwdpfJvfsWEuLpUg2vinS5XI+wfM/CL1
9ATbG08EsUJ+LkXOzOUGMpzlg9WKaiSg3soyZXgh0YWqrI/qr72DtO/Sm1UO4srg
RafIW4yvCB2oc7jdC8UNVbVs0x7URoGyEXxBUCb9xAZB04ORCUFZuYFsx5NaH2eu
RXz5qe9FRCtKpm3FvJmxeY2TsESvmlVZDaENIxebd/lKRLiC5x0C/yzeLd8Gufn1
XHbIc8xr0Cq9vZPU7CvASd9+yFKIYFrJagK6IVYNGcMX6EBXl28Xir2IGj4nyWzh
cNJFGcJU4pdLWv9+8k/AkgLM2H1eeBbiWDyP8oMUv0Zog1zrQrF/oSZxVqFFNMiQ
5d0KPH3LfYIVmL6D4x9kyQogc122ljB50g7iPnpTtLcCBnFQ5APM+Puwp8GpqWpd
KU/f6xLp13QQ8RiEVqgNOfH7RiRM/BVuL0AfvCOVpZhJjLei/kjejSQ3aohKUIe3
7DnyVua8c/TYKgbYAF9E47XyXXSzWy43j4yYptFMVNgrZai1nG1L5oNoORAaMERm
0RRG+IH1FW0YzLtuCq2OEvfZgIO84li6+3q30okO3IjPiV5sLIBlu+2Ky6TxI1Ba
qKdacH+hDZfWHTYpgHER
=pEXE
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 25 Apr 2012 07:41:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:16:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.